Εγκατάσταση Spotify σε openSUSE

Πρόσφατα έψαχνα να βρώ πως μπορώ να εγκαταστήσω το Spotify στο openSUSE. Δυστυχώς υπήρχε μόνο σε πακέτο deb. Βρήκα τον τρόπο της MargueriteSu ο οποίος δεν μου δούλεψε.
Στη συνέχεια, δοκίμασα να το εγκαταστήσω με το Playonlinux αλλά και εκεί χωρίς τύχη. Σταματούσε στο σημείο ολοκλήρωσης εγκατάστασης. Βρήκα σε κάποιο post ότι έπρεπε να σταματήσεις το Spotify που εκτελείται στο παρασκήνιο. Το έπραξα, αλλά δεν άνοιγε.

Όσον αφορά την 13.2, δοκίμασα έναν πολύ απλό τρόπο.

1. Αρχικά εγκαταστήστε ως διαχειριστές το εξής:

zypper in spotify-installer

2. Εγκαταστήστε libgcrypt.so.11 και libudev.so.0 (1 click install):

http://software.opensuse.org/package/libgcrypt11

http://software.opensuse.org/package/libudev0

3. Στη συνέχεια τρέξτε το σκριπτάκι.

install-spotify

και περιμένετε μέχρι να ολοκληρωθεί η εγκατάσταση.


Πιθανό ο παραπάνω τρόπος να δουλεύει και σε 13.1. Μετά από αρκετό ψάξιμο και δοκιμές, κατέληξα στις παρακάτω ενέργειες.

1. Αρχικά εγκαταστήστε το Alien. Είναι εργαλείο μετατροπής από deb σε rpm αρχεία. Για την 13.1, προτιμήστε το 1 click install.

2. Ανοίξτε το τερματικό και κατεβάστε το deb αρχείο.

Για 64bit
wget https://dl.dropboxusercontent.com/u/20413076/opensuse/spotify/spotify-client_0.9.11.27.g2b1a638.81-1_amd64.deb

Για 32bit
wget https://dl.dropboxusercontent.com/u/20413076/opensuse/spotify/spotify-client_0.9.4.183.g644e24e.428-1_i386.deb

Εδώ θα αναφερθώ στην 64bit. Για την 32bit απλά αλλάζουν τα ονόματα αρχείων. Κατά τα άλλα, είναι ίδιος τρόπος.

3. Στο τερματικό, ως διαχειριστές (su), εκτελέστε την εντολή:

zypper in rpm-build

4. Στη συνέχεια, μετατρέψτε το αρχείο deb σε rpm.

alien -r spotify-client_0.9.11.27.g2b1a638.81-1_amd64.deb

5. Το Spotify απαιτεί κάποια extra για το openssl (και όχι μόνο).

zypper in libxmlsec1-openssl-devel nss-compat-openssl-devel xmlsec1-openssl-devel libxmlsec1-openssl1 libudev0

6. Εκτελέστε την εντολή ως διαχειριστές (su):

rpm -ivh spotify-client-0.9.11.27.g2b1a638.81-2.x86_64.rpm --nodeps

Εάν δεν βάζατε το --nodeps θα σας εμφάνιζε τα παρακάτω:

error: Failed dependencies:
libcrypto.so.1.0.0(OPENSSL_1.0.0)(64bit) is needed by spotify-client-0.9.11.27.g2b1a638.81-2.x86_64
libgcrypt.so.11()(64bit) is needed by spotify-client-0.9.11.27.g2b1a638.81-2.x86_64
libgcrypt.so.11(GCRYPT_1.2)(64bit) is needed by spotify-client-0.9.11.27.g2b1a638.81-2.x86_64
libssl.so.1.0.0(OPENSSL_1.0.0)(64bit) is needed by spotify-client-0.9.11.27.g2b1a638.81-2.x86_64

7. Εκτελώντας την εντολή spotify στο τερματικό σας, θα ανοίξει κανονικά το spotify.



8. Ανοίξτε το alacarte (ή καλύτερα το menulibre). Και τα 2 υπάρχουν στα αποθετήρια. Δημιουργήστε μια νέα καταχώρηση με το spotify για να το βρίσκετε ευκολότερα (χωρίς να ανοίγετε το τερματικό).

Δεν υπάρχουν σχόλια

Σημείωση: Μόνο ένα μέλος αυτού του ιστολογίου μπορεί να αναρτήσει σχόλιο.

Από το Blogger.